'                                                                 
' Copyright  2011 Lidor Systems.
' All Rights Reserved.
'
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied.                        
'

Imports LidorSystems.IntegralUI.Lists

Public Class Form1
    Private maxLevels As Integer = 3

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.treeView1.ItemHighlightType = ListItemHighlightType.Partial

        Me.treeView1.SuspendUpdate()

        CreateNode(Me.treeView1.RootNode, 0, "")

        Me.treeView1.ResumeUpdate()
        Me.treeView1.ExpandAll()
    End Sub

    Private Sub CreateNode(ByVal parentNode As LidorSystems.IntegralUI.Lists.TreeNode, ByVal level As Integer, ByVal prefix As String)
        If level = maxLevels Then
            Return
        End If

        Dim node As LidorSystems.IntegralUI.Lists.TreeNode = Nothing
        For i As Integer = 0 To 2
            node = New LidorSystems.IntegralUI.Lists.TreeNode("Node " & prefix & i.ToString())
            node.Content = "<div style=""hovertextcolor:Blue""><a href=""www.lidorsystems.com"">" + node.Text & "</a></div>"
            CreateNode(node, level + 1, prefix & i.ToString())

            parentNode.Nodes.Add(node)
        Next
    End Sub

    Private Sub treeView1_ItemObjectClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles treeView1.ItemObjectClicked
        If TypeOf e.[Object] Is LinkLabel Then
            Dim lLabel As LinkLabel = DirectCast(e.[Object], LinkLabel)

            Dim msgTitle As [String] = [String].Empty
            Dim node As LidorSystems.IntegralUI.Lists.TreeNode = Me.treeView1.GetHoverNode()
            If node IsNot Nothing Then
                msgTitle = node.Text
            End If

            Dim linkData As [String] = lLabel.Links(0).LinkData.ToString()
            msgTitle += ": " & linkData

            Dim msgInfo As [String] = "A hyperlink is clicked!" & vbLf & vbLf
            msgInfo += "If you choose OK, browser will open the url contained in this hyperlink."

            If MessageBox.Show(msgInfo, msgTitle, MessageBoxButtons.OKCancel) = DialogResult.OK Then
                System.Diagnostics.Process.Start(linkData)
            End If
        End If
    End Sub
End Class
